Debian Bug report logs - #660396
sane-backends: FTBFS on kfreebsd-*

version graph

Package: kfreebsd-kernel-headers; Maintainer for kfreebsd-kernel-headers is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>; Source for kfreebsd-kernel-headers is src:kfreebsd-kernel-headers.

Reported by: "Adam D. Barratt" <adam@adam-barratt.org.uk>

Date: Sat, 18 Feb 2012 20:24:02 UTC

Severity: serious

Found in version kfreebsd-kernel-headers/0.72

Fixed in versions kfreebsd-kernel-headers/0.60, kfreebsd-kernel-headers/0.74

Done: Robert Millan <rmh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Julien BLACHE <jblache@debian.org>:
Bug#660396; Package src:sane-backends. (Sat, 18 Feb 2012 20:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
New Bug report received and forwarded. Copy sent to Julien BLACHE <jblache@debian.org>. (Sat, 18 Feb 2012 20:24:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: submit@bugs.debian.org
Subject: sane-backends: FTBFS on kfreebsd-*
Date: Sat, 18 Feb 2012 20:19:51 +0000
Source: sane-backends
Version: 1.0.22-7
Severity: serious

Hi,

sane-backends FTBFS on kfreebsd-{amd64,i386} when binNMUed for the
freebsd-libs transition.  From the kfreebsd-amd64 build log:

/bin/bash ../libtool --silent  --tag=CC   --mode=compile x86_64-kfreebsd-gnu-gcc -DHAVE_CONFIG_H -I. -I../include/sane -I/usr/local/include -I. -I. -I../include -I../include -DLIBDIR="/usr/lib/x86_64-kfreebsd-gnu/sane" -DDEB_DLL_LIBDIR="\"/usr/lib/x86_64-kfreebsd-gnu/sane:/usr/lib/sane\"" -DBACKEND_NAME=umax_pp -D_REENTRANT -DPATH_SANE_CONFIG_DIR=/etc/sane.d 	  -DPATH_SANE_DATA_DIR=/usr/share 	  -DPATH_SANE_LOCK_DIR=/var/lock/sane 	  -DV_MAJOR=1 -DV_MINOR=0  -g -O2 -W -Wall -MT libumax_pp_la-umax_pp_low.lo -MD -MP -MF .deps/libumax_pp_la-umax_pp_low.Tpo -c -o libumax_pp_la-umax_pp_low.lo `test -f 'umax_pp_low.c' || echo './'`umax_pp_low.c
In file included from /usr/include/machine/cpufunc.h:8:0,
                 from umax_pp_low.c:76:
/usr/include/machine-amd64/cpufunc.h:684:15: error: conflicting types for 'inb'
/usr/include/x86_64-kfreebsd-gnu/sys/io.h:43:1: note: previous definition of 'inb' was here
/usr/include/machine-amd64/cpufunc.h:685:14: error: conflicting types for 'inl'
/usr/include/x86_64-kfreebsd-gnu/sys/io.h:79:1: note: previous definition of 'inl' was here
/usr/include/machine-amd64/cpufunc.h:686:6: error: conflicting types for 'insb'
[...]
/usr/include/machine-amd64/cpufunc.h:700:15: error: unknown type name 'uint64_t'
[...]
make[3]: *** [libumax_pp_la-umax_pp_low.lo] Error 1
make[3]: Leaving directory `/build/buildd-sane-backends_1.0.22-7+b1-kfreebsd-amd64-jcJBmC/sane-backends-1.0.22/backend'
make[2]: *** [all] Error 2
make[2]: Leaving directory `/build/buildd-sane-backends_1.0.22-7+b1-kfreebsd-amd64-jcJBmC/sane-backends-1.0.22/backend'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/build/buildd-sane-backends_1.0.22-7+b1-kfreebsd-amd64-jcJBmC/sane-backends-1.0.22'
make: *** [build-stamp] Error 2
dpkg-buildpackage: error: debian/rules build gave error exit status 2

Full logs available via
https://buildd.debian.org/status/package.php?p=sane-backends

Regards,

Adam





Added indication that bug 660396 blocks 660022 Request was from Adam D. Barratt <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sat, 18 Feb 2012 20:54:07 GMT) Full text and rfc822 format available.

Bug reassigned from package 'src:sane-backends' to 'kfreebsd-kernel-headers'. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Sun, 19 Feb 2012 19:00:11 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions sane-backends/1.0.22-7. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Sun, 19 Feb 2012 19:00:12 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Sun, 19 Feb 2012 19:15:05 GMT) Full text and rfc822 format available.

Reply sent to Robert Millan <rmh@debian.org>:
You have taken responsibility. (Tue, 21 Feb 2012 19:21:09 GMT) Full text and rfc822 format available.

Notification sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Bug acknowledged by developer. (Tue, 21 Feb 2012 19:21:09 GMT) Full text and rfc822 format available.

Message #18 received at 660396-close@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 660396-close@bugs.debian.org
Subject: Bug#660396: fixed in kfreebsd-kernel-headers 0.74
Date: Tue, 21 Feb 2012 19:17:35 +0000
Source: kfreebsd-kernel-headers
Source-Version: 0.74

We believe that the bug you reported is fixed in the latest version of
kfreebsd-kernel-headers, which is due to be installed in the Debian FTP archive:

kfreebsd-kernel-headers_0.74.dsc
  to main/k/kfreebsd-kernel-headers/kfreebsd-kernel-headers_0.74.dsc
kfreebsd-kernel-headers_0.74.tar.gz
  to main/k/kfreebsd-kernel-headers/kfreebsd-kernel-headers_0.74.tar.gz
kfreebsd-kernel-headers_0.74_kfreebsd-amd64.deb
  to main/k/kfreebsd-kernel-headers/kfreebsd-kernel-headers_0.74_kfreebsd-amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 660396@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Robert Millan <rmh@debian.org> (supplier of updated kfreebsd-kernel-headers package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 21 Feb 2012 19:22:58 +0100
Source: kfreebsd-kernel-headers
Binary: kfreebsd-kernel-headers
Architecture: source kfreebsd-amd64
Version: 0.74
Distribution: unstable
Urgency: low
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Changed-By: Robert Millan <rmh@debian.org>
Description: 
 kfreebsd-kernel-headers - kFreeBSD headers for development
Closes: 660396
Changes: 
 kfreebsd-kernel-headers (0.74) unstable; urgency=low
 .
   * Misc fixes related to machine/cpufunc.h.  (Closes: #660396)
     - Add sed hack to force __CC_SUPPORTS_* == 1.
     - Remove conflicting declarations for inb(), inw(), outb(), etc.
     - Add new test for machine/cpufunc.h (test/cpufunc.c).
Checksums-Sha1: 
 da1907a618fd0f191b2b668637c0182e2f76e612 1201 kfreebsd-kernel-headers_0.74.dsc
 6c56526d9cb338d20d6b58781d873e6f394fd691 52800 kfreebsd-kernel-headers_0.74.tar.gz
 de76ca5b67876497d4f719323eff331dc6750ba4 1616044 kfreebsd-kernel-headers_0.74_kfreebsd-amd64.deb
Checksums-Sha256: 
 4a79b94ac27fa248785edc35c0e39fd054beb7159b9e8b7c30fb5f4662429f80 1201 kfreebsd-kernel-headers_0.74.dsc
 25bcb949f61bc8dc65f60d9e30056cc3c1e478f48bc15d2bdb10540e366c36f5 52800 kfreebsd-kernel-headers_0.74.tar.gz
 d309abd60c0c4a09e3035d5346c4235400bc73b48540436a48958c46137a6b72 1616044 kfreebsd-kernel-headers_0.74_kfreebsd-amd64.deb
Files: 
 666dd3649c8597c44ec54642f576ba6d 1201 kernel standard kfreebsd-kernel-headers_0.74.dsc
 4495c04b77e73bfe2959e10cb12c436b 52800 kernel standard kfreebsd-kernel-headers_0.74.tar.gz
 e4c38547100e25bba1bc78b1fa3b819d 1616044 kernel standard kfreebsd-kernel-headers_0.74_kfreebsd-amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/kFreeBSD)

iEYEARECAAYFAk9D7IkACgkQC19io6rUCv8ZYACfSn38BgHuZtC9di1mzBXqdNGj
BcYAnjSHB8RGgP5zywMQpdQ9MOorjCY2
=ZakZ
-----END PGP SIGNATURE-----





Marked as fixed in versions kfreebsd-kernel-headers/0.60. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Sun, 15 Jul 2012 18:27:13 GMT) Full text and rfc822 format available.

Marked as found in versions kfreebsd-kernel-headers/0.72. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Sun, 15 Jul 2012 18:33:13 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 13 Aug 2012 07:28:09 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 04:41:05 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.